#!/usr/bin/perl -w

use strict;

#
# Adjustable parameters
#
my $srcdir = 'mp3';
my $htbase = 'www';

#
# Get the full playlist.
#
my @all = `find $srcdir -type f -name '*.mp3' | sort -f`;

open(FH, ">playlist") or die;
print FH @all;
close FH;

chomp @all;

open(FH,">$htbase/mp3.html") or die;
print FH qq{<html><head><title>mp3 playlist</title></head>\n};
print FH qq{<body vlink="#0000ff">\n};
my $i = 1;
foreach (@all) {
	my ($dir, $name) = m#^(.*)/(.*)#;
	#my $name = #`mp3info -p '%t' "$srcdir/$_" 2>/dev/null`
	
	my $disptitle = "$dir/$name";
	$disptitle =~ s#^mp3/##;
	$disptitle =~ s#\.mp3$##;
	$disptitle =~ s#/# / #g;

	print FH qq{$i. <a href="/cgi-bin/play?$i" target="track">$disptitle</a><br>\n};
	$i++;
}
print FH qq{</body></html>\n};
close FH;
